.spinner {
  align-items: center;
  display: flex;
  height: 100%;
  justify-content: center;
  width: 100%;

  &--overlay {
    align-items: center;
    display: flex;
    height: 100%;
    justify-content: center;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;

    &::before {
      background-color: rgba(0, 0, 0, 0.4);
      content: '';
      height: 100%;
      position: absolute;
      width: 100%;
    }
  }
}
